Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::ThreadLockHolder Class Reference

Acquire a lock on creation and release it on destruction. More...

`#include <thread.h>`

Collaboration diagram for sc::ThreadLockHolder:

[legend]
List of all members.

## Public Methods

| ThreadLockHolder (const Ref< ThreadLock > &l)
| ~ThreadLockHolder ()

## Detailed Description

Acquire a lock on creation and release it on destruction.

This should be used to lock and unlock ThreadLock objects to provide exception safety.

The documentation for this class was generated from the following file:

- thread.h